<?
define('PROTECTOR', 1);

$headmod = 'bazar';//фикс. места

$textl='Базар';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
zasad();
ryd();
place_okr();
place_zamok();
place_tower();
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){

default:
////////////////////
$b = mysql_query("SELECT usr FROM bazar WHERE usr = '$log' and city = '$udata[city]' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($b);
////////////////////////

echo"<a href=\"bazar.php?mod=sell\">Выставить на продажу</a><br/>";
if($avto>0){echo"<a href=\"bazar.php?mod=back\">Забрать вещи</a><br/>";}
echo'<div class="event">';
$b = mysql_query("SELECT * FROM bazar WHERE city = '$udata[city]' group by usr");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
$b2 = mysql_query("SELECT usr FROM bazar WHERE usr = '$best[usr]' and city = '$udata[city]'");
////////////////////////////
$avto2=mysql_num_rows($b2);
echo"$i. Лавка игрока <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a> <a href=\"bazar.php?mod=shop&amp;usr=$best[usr]\">Войти</a> ($avto2 вещей)<br/>";
$i++;
}
}else{
echo"Нет торговых лавок<br/>";
}
echo'</div>';
break;

case 'sell':
if(empty($_GET[tip])){
echo"<a href=\"bazar.php?mod=sell&amp;tip=item\">Продать вещи</a><br/>";
echo"<a href=\"bazar.php?mod=sell&amp;tip=res\">Продать ресурсы</a><br/>";
echo"<a href=\"bazar.php?mod=sell&amp;tip=pit\">Продать вещи питомцев</a><br/>";
}elseif($_GET[tip]==item){
$req = mysql_query("SELECT * FROM `item` WHERE `usr` = '$log' and `image`='not'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"bazar.php?mod=sell&amp;tip=item&amp;id=$mag[id]\">$mag[name]</a><br/>";
}
}else{
echo"Нет вещей<br/>";
}
}else{
if(empty($_POST[mycena])){
echo "<form action=\"bazar.php?mod=sell&amp;tip=item&amp;id=$_GET[id]\" method=\"post\">";
echo '<b>Цена:</b><br/>';
echo '<input name="mycena"/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';
}else{
if($_POST[mycena]<=0){
echo"Минимальная цена одна монета!";
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `item` WHERE `usr` = '$log' and `image`='not' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$item = mysql_fetch_array($req);

mysql_query("INSERT INTO
        `bazar` SET
        `usr` = '$log',
        `city` = '$udata[city]',
        `baz_tip` = 'item',
        `tip` = '$item[tip]',
        `name` = '$item[name]',
        `cena` = '$item[cena]',
        `mycena` = '$_POST[mycena]',
        `umin` = '$item[umin]',
        `umax` = '$item[umax]',
        `pgolova` = '$item[pgolova]',
        `pbody` = '$item[pbody]',
        `pnogi` = '$item[pnogi]',
        `hp` = '$item[hp]',
        `mp` = '$item[mp]',
        `krit` = '$item[krit]',
        `ukrit` = '$item[ukrit]',
        `antikrit` = '$item[antikrit]',
        `sila` = '$item[sila]',
        `lovk` = '$item[lovk]',
        `um` = '$item[um]',
        `prot` = '$item[prot]',
        `klas` = '$item[klas]',
        `nsila` = '$item[nsila]',
        `nlovk` = '$item[nlovk]',
        `num` = '$item[num]',
        `nlvl` = '$item[nlvl]'");

        mysql_query("DELETE FROM `item` WHERE usr='$log' and `image`='not' and `id`='$_GET[id]'");
        
echo"Вещь $item[name] выставлена на продажу за $_POST[mycena] монет!<br/>";

}else{
echo"Нет такой вещи<br/>";
}
}}
}elseif($_GET[tip]==res){
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"bazar.php?mod=sell&amp;tip=res&amp;id=$mag[id]\">$mag[name]</a> ($mag[kol] штук)<br/>";
}
}else{
echo"Нет ресурсов!<br/>";
}
}else{
if(empty($_POST[mycena]) or empty($_POST[num])){
echo "<form action=\"bazar.php?mod=sell&amp;tip=res&amp;id=$_GET[id]\" method=\"post\">";
echo '<b>Цена за штуку:</b><br/>';
echo '<input name="mycena"/><br/>';
echo '<b>Сколько:</b><br/>';
echo '<input name="num"/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';
}else{
if($_POST[mycena]<=0){
echo"Ошибка!Неправильно введённая цена!";
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$res = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `bazar` WHERE `usr` = '$log' and `lat_name`='$res[lat_name]' and city = '$udata[city]'");
////////////////////////////
$avto=mysql_num_rows($req);
/////////////////////
if($res[kol]-$_POST[num]<=0){
mysql_query("DELETE FROM `res` WHERE usr='$log' and `id`='$_GET[id]'");
$nkol=$res[kol];
}else{
$res[kol]=$res[kol]-$_POST[num];
mysql_query("UPDATE `res` SET `kol` = '$res[kol]' WHERE `usr` = '$log' and `id`='$_GET[id]'");
$nkol=$_POST[num];
}
////////////////////////
$_POST[mycena]=round($_POST[mycena]*$nkol);
/////////////////////
if($avto==0){
mysql_query("INSERT INTO
        `bazar` SET
        `usr` = '$log',
        `city` = '$udata[city]',
        `name` = '$res[name]',
        `lat_name` = '$res[lat_name]',
        `baz_tip` = 'res',
        `mycena` = '$_POST[mycena]',
        `tip` = '$res[tip]',
        `what` = '$res[what]',
        `give` = '$res[give]',
        `kol` = '$nkol',
        `cena` = '$res[cena]'");
}else{
$item = mysql_fetch_array($req);
$item[kol]=$item[kol]+$nkol;
mysql_query("UPDATE `bazar` SET `kol` = '$item[kol]' WHERE `usr` = '$log' and `lat_name`='$res[lat_name]' and `city` = '$udata[city]'");
}     
echo"$res[name]($nkol штук) выставлен на продажу за $_POST[mycena] монет!<br/>";
}else{
echo"Нет ресурсов!<br/>";
}
}
}
}elseif($_GET[tip]==pit){
$req = mysql_query("SELECT * FROM `pit_item` WHERE `usr` = '$log' and `image`='not'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"bazar.php?mod=sell&amp;tip=pit&amp;id=$mag[id]\">$mag[name]</a><br/>";
}
}else{
echo"Нет вещей<br/>";
}
}else{
if(empty($_POST[mycena])){
echo "<form action=\"bazar.php?mod=sell&amp;tip=pit&amp;id=$_GET[id]\" method=\"post\">";
echo '<b>Цена:</b><br/>';
echo '<input name="mycena"/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';
}else{
if($_POST[mycena]<=0){
echo"Минимальная цена одна монета!";
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `pit_item` WHERE `usr` = '$log' and `image`='not' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$item = mysql_fetch_array($req);

mysql_query("INSERT INTO
        `bazar` SET
        `usr` = '$log',
        `city` = '$udata[city]',
        `baz_tip` = 'pit',
        `tip` = '$item[tip]',
        `name` = '$item[name]',
        `cena` = '$item[cena]',
        `mycena` = '$_POST[mycena]',
        `umin` = '$item[umin]',
        `umax` = '$item[umax]',
        `pgolova` = '$item[pgolova]',
        `pbody` = '$item[pbody]',
        `pnogi` = '$item[pnogi]',
        `hp` = '$item[hp]',
        `mp` = '$item[mp]',
        `krit` = '$item[krit]',
        `ukrit` = '$item[ukrit]',
        `antikrit` = '$item[antikrit]',
        `sila` = '$item[sila]',
        `lovk` = '$item[lovk]',
        `rasa` = '$item[rasa]',
        `nlvl` = '$item[nlvl]'");

        mysql_query("DELETE FROM `pit_item` WHERE usr='$log' and `image`='not' and `id`='$_GET[id]'");
        
echo"Вещь $item[name] выставлена на продажу за $_POST[mycena] монет!<br/>";
}else{
echo"Нет такой вещи<br/>";
}
}}
}else{
echo"Ошибка!<br/>";
}
echo"<a href=\"bazar.php?\">Назад</a>";
break;
case 'back':
if(empty($_GET[tip]) or empty($_GET[id])){
$b = mysql_query("SELECT * FROM bazar WHERE usr = '$log' and city = '$udata[city]' ORDER BY id");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"bazar.php?mod=info&amp;tip=$best[baz_tip]&amp;id=$best[id]\">$best[name]</a>";
if($best[baz_tip]==res){echo"($best[kol] штук - $best[mycena] монет)";}
else{echo"($best[mycena] монет)";}
echo" [<a href=\"bazar.php?mod=back&amp;tip=$best[baz_tip]&amp;id=$best[id]\">забрать с продажи</a>]<br/>";
$i++;
}
}else{
echo"Нет вещей на продаже<br/>";
}
}elseif($_GET[tip]==pit and !empty($_GET[id])){
$req = mysql_query("SELECT * FROM `bazar` WHERE `usr` = '$log' and `id`='$_GET[id]' and `city` = '$udata[city]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$item = mysql_fetch_array($req);

mysql_query("INSERT INTO
        `pit_item` SET
        `usr` = '$log',
        `tip` = '$item[tip]',
        `name` = '$item[name]',
        `cena` = '$item[cena]',
        `umin` = '$item[umin]',
        `umax` = '$item[umax]',
        `pgolova` = '$item[pgolova]',
        `pbody` = '$item[pbody]',
        `pnogi` = '$item[pnogi]',
        `hp` = '$item[hp]',
        `mp` = '$item[mp]',
        `krit` = '$item[krit]',
        `ukrit` = '$item[ukrit]',
        `antikrit` = '$item[antikrit]',
        `sila` = '$item[sila]',
        `lovk` = '$item[lovk]',
        `rasa` = '$item[rasa]',
        `nlvl` = '$item[nlvl]'");
        
        mysql_query("DELETE FROM `bazar` WHERE usr='$log' and `id`='$_GET[id]'");
        
echo"Вещь $item[name] забрана с продажи!<br/>";
}else{
echo"Нет такой вещи<br/>";
}
}
elseif($_GET[tip]==item and !empty($_GET[id])){
$req = mysql_query("SELECT * FROM `bazar` WHERE `usr` = '$log' and `id`='$_GET[id]' and `city` = '$udata[city]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$item = mysql_fetch_array($req);

mysql_query("INSERT INTO
        `item` SET
        `usr` = '$log',
        `tip` = '$item[tip]',
        `name` = '$item[name]',
        `cena` = '$item[cena]',
        `umin` = '$item[umin]',
        `umax` = '$item[umax]',
        `pgolova` = '$item[pgolova]',
        `pbody` = '$item[pbody]',
        `pnogi` = '$item[pnogi]',
        `hp` = '$item[hp]',
        `mp` = '$item[mp]',
        `krit` = '$item[krit]',
        `ukrit` = '$item[ukrit]',
        `antikrit` = '$item[antikrit]',
        `sila` = '$item[sila]',
        `lovk` = '$item[lovk]',
        `um` = '$item[um]',
        `prot` = '$item[prot]',
        `klas` = '$item[klas]',
        `nsila` = '$item[nsila]',
        `nlovk` = '$item[nlovk]',
        `num` = '$item[num]',
        `image` = 'not',
        `nlvl` = '$item[nlvl]'");
        
        mysql_query("DELETE FROM `bazar` WHERE usr='$log' and `id`='$_GET[id]'");
        
echo"Вещь $item[name] забрана с продажи!<br/>";
}else{
echo"Нет такой вещи<br/>";
}
}elseif($_GET[tip]==res and !empty($_GET[id])){

$req = mysql_query("SELECT * FROM `bazar` WHERE `usr` = '$log' and `id`='$_GET[id]' and city = '$udata[city]' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$res = mysql_fetch_array($req);

$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `lat_name`='$res[lat_name]' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);

if($avto==0){
mysql_query("INSERT INTO
        `res` SET
        `usr` = '$log',
        `name` = '$res[name]',
        `lat_name` = '$res[lat_name]',
        `tip` = '$res[tip]',
        `what` = '$res[what]',
        `give` = '$res[give]',
        `kol` = '$res[kol]',
        `cena` = '$res[cena]'");
}else{
$myres=mysql_fetch_array($req);
$myres[kol]=$myres[kol]+$res[kol];
mysql_query("UPDATE `res` SET `kol` = '$myres[kol]' WHERE `usr` = '$log' and `lat_name`='$res[lat_name]'");
}
/////////////////////
mysql_query("DELETE FROM `bazar` WHERE usr='$log' and `id`='$_GET[id]'");//с база
    
echo"$res[name]($res[kol] штук) забраны с продажи!<br/>";
}else{
echo"Нет ресурсов!<br/>";
}
}else{
echo"Ошибка!<br/>";
}
echo"<a href=\"bazar.php?\">Назад</a>";
break;
case 'by':
if(empty($_GET[id])){
echo'Невыбрана вещь для покупки!';
include($path.'files/down.php');exit;
}
if($_GET[tip]==item){
$req = mysql_query("SELECT * FROM `bazar` WHERE `id`='$_GET[id]' and `city` = '$udata[city]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$item = mysql_fetch_array($req);
if($item[usr]==$log and $log!='Admin'){
echo'Свои товары нельзя покупать!';
include($path.'files/down.php');exit;
}
if($udata[money]<$item[mycena]){
echo'Нехватает монет!';
include($path.'files/down.php');exit;
}

$udata[money]=$udata[money]-$item[mycena];//mony

        
        mysql_query("INSERT INTO
        `item` SET
        `usr` = '$log',
        `tip` = '$item[tip]',
        `name` = '$item[name]',
        `cena` = '$item[cena]',
        `umin` = '$item[umin]',
        `umax` = '$item[umax]',
        `pgolova` = '$item[pgolova]',
        `pbody` = '$item[pbody]',
        `pnogi` = '$item[pnogi]',
        `hp` = '$item[hp]',
        `mp` = '$item[mp]',
        `krit` = '$item[krit]',
        `ukrit` = '$item[ukrit]',
        `antikrit` = '$item[antikrit]',
        `sila` = '$item[sila]',
        `lovk` = '$item[lovk]',
        `um` = '$item[um]',
        `prot` = '$item[prot]',
        `klas` = '$item[klas]',
        `nsila` = '$item[nsila]',
        `num` = '$item[num]',
        `nlovk` = '$item[nlovk]',
        `nlvl` = '$item[nlvl]',
        `image` = 'not'");
        
$req = mysql_query("SELECT * FROM `zamok` WHERE `city` = '$udata[city]' LIMIT 1");
////////////////////////////
$city = mysql_fetch_array($req);
if($city[clan]!='not' and $udata[clan]!=$city[clan]){
$req = mysql_query("SELECT * FROM `clan` WHERE `lider`='$city[clan]'");
////////////////////////////
$clan = mysql_fetch_array($req);
$clan[money]=$clan[money]+round(($item[mycena]/100)*4);

mysql_query("UPDATE `clan` SET `money` = '$clan[money]' WHERE `lider` = '$udata[clan]'");
}
        
        mysql_query("DELETE FROM `bazar` WHERE `id`='$_GET[id]'");
        
        mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
        
        $req = mysql_query("SELECT money FROM `users` WHERE `usr` = '$item[usr]' LIMIT 1");
////////////////////////////
$m = mysql_fetch_array($req);
$m[money]=$m[money]+$item[mycena];
mysql_query("UPDATE `users` SET `money` = '$m[money]' WHERE `usr` = '$item[usr]'");

$time = date("H:i d.m.y");
$text = "$item[name] преобрёл $log, сумма $item[mycena] монет была успешно вам перечислена!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Торговец', `user_to` = '$item[usr]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");

echo"Вещь $item[name] куплена за $item[mycena] монет!<br/>";
}else{
echo"Нет такой вещи<br/>";
}
}elseif($_GET[tip]==pit){
$req = mysql_query("SELECT * FROM `bazar` WHERE `id`='$_GET[id]' and `city` = '$udata[city]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$item = mysql_fetch_array($req);
if($item[usr]==$log){
echo'Свои товары нельзя покупать!';
include($path.'files/down.php');exit;
}
if($udata[money]<$item[mycena]){
echo'Нехватает монет!';
include($path.'files/down.php');exit;
}

$udata[money]=$udata[money]-$item[mycena];//mony

        
        mysql_query("INSERT INTO
        `pit_item` SET
        `usr` = '$log',
        `tip` = '$item[tip]',
        `name` = '$item[name]',
        `cena` = '$item[cena]',
        `umin` = '$item[umin]',
        `umax` = '$item[umax]',
        `pgolova` = '$item[pgolova]',
        `pbody` = '$item[pbody]',
        `pnogi` = '$item[pnogi]',
        `hp` = '$item[hp]',
        `krit` = '$item[krit]',
        `ukrit` = '$item[ukrit]',
        `antikrit` = '$item[antikrit]',
        `sila` = '$item[sila]',
        `lovk` = '$item[lovk]',
        `rasa` = '$item[rasa]',
        `nlvl` = '$item[nlvl]',
        `image` = 'not'");
        
$req = mysql_query("SELECT * FROM `zamok` WHERE `city` = '$udata[city]' LIMIT 1");
////////////////////////////
$city = mysql_fetch_array($req);
if($city[clan]!='not' and $udata[clan]!=$city[clan]){
$req = mysql_query("SELECT * FROM `clan` WHERE `lider`='$city[clan]'");
////////////////////////////
$clan = mysql_fetch_array($req);
$clan[money]=$clan[money]+round(($item[mycena]/100)*4);

mysql_query("UPDATE `clan` SET `money` = '$clan[money]' WHERE `lider` = '$udata[clan]'");
}
        
        mysql_query("DELETE FROM `bazar` WHERE `id`='$_GET[id]'");
        
        mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
        
        $req = mysql_query("SELECT money FROM `users` WHERE `usr` = '$item[usr]' LIMIT 1");
////////////////////////////
$m = mysql_fetch_array($req);
$m[money]=$m[money]+$item[mycena];
mysql_query("UPDATE `users` SET `money` = '$m[money]' WHERE `usr` = '$item[usr]'");

$time = date("H:i d.m.y");
$text = "$item[name] преобрёл $log, сумма $item[mycena] монет была успешно вам перечислена!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Торговец', `user_to` = '$item[usr]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");

echo"Вещь $item[name] куплена за $item[mycena] монет!<br/>";
}else{
echo"Нет такой вещи<br/>";
}
}elseif($_GET[tip]==res){
$req = mysql_query("SELECT * FROM `bazar` WHERE `id`='$_GET[id]' and `city` = '$udata[city]' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$res = mysql_fetch_array($req);

if($res[usr]==$log){
echo'Свои товары нельзя покупать!';
include($path.'files/down.php');exit;
}
if($udata[money]<$res[mycena]){
echo'Нехватает монет!';
include($path.'files/down.php');exit;
}

$udata[money]=$udata[money]-$res[mycena];//mony

$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `lat_name`='$res[lat_name]' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);

if($avto==0){
mysql_query("INSERT INTO
        `res` SET
        `usr` = '$log',
        `name` = '$res[name]',
        `lat_name` = '$res[lat_name]',
        `tip` = '$res[tip]',
        `what` = '$res[what]',
        `give` = '$res[give]',
        `kol` = '$res[kol]',
        `cena` = '$res[cena]'");
        
$req = mysql_query("SELECT * FROM `zamok` WHERE `city` = '$udata[city]' LIMIT 1");
////////////////////////////
$city = mysql_fetch_array($req);
if($city[clan]!='not' and $udata[clan]!=$city[clan]){
$req = mysql_query("SELECT * FROM `clan` WHERE `lider`='$city[clan]'");
////////////////////////////
$clan = mysql_fetch_array($req);
$clan[money]=$clan[money]+round(($item[mycena]/100)*2);

mysql_query("UPDATE `clan` SET `money` = '$clan[money]' WHERE `lider` = '$city[clan]'");
}
        
}else{
$myres=mysql_fetch_array($req);
$myres[kol]=$myres[kol]+$res[kol];
mysql_query("UPDATE `res` SET `kol` = '$myres[kol]' WHERE `usr` = '$log' and `lat_name`='$res[lat_name]'");
}
/////////////////////
        mysql_query("DELETE FROM `bazar` WHERE `id`='$_GET[id]'");//с база

        mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
        
$req = mysql_query("SELECT money FROM `users` WHERE `usr` = '$res[usr]' LIMIT 1");
////////////////////////////
$m = mysql_fetch_array($req);
$m[money]=$m[money]+$res[mycena];
mysql_query("UPDATE `users` SET `money` = '$m[money]' WHERE `usr` = '$res[usr]'");

$time = date("H:i d.m.y");
$text = "$res[name]($res[kol] штук) преобрёл $log, сумма $res[mycena] монет была успешно вам перечислена!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Торговец', `user_to` = '$res[usr]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");

echo"$res[name]($res[kol] штук) куплены за $res[mycena] монет!<br/>";
}else{
echo"Нет ресурсов!<br/>";
}
}else{
echo'Ошибка!<br/>';
}
echo"<a href=\"bazar.php?\">Назад</a>";
break;
case 'info':
if($_GET[tip]==res){
$req = mysql_query("SELECT * FROM `bazar` WHERE `id`='$_GET[id]' and `city` = '$udata[city]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'res':
$tip='Ресурс';
break;
case 'scroll':
$tip='Свиток';
break;
case 'elexir':
$tip='Элексир';
break;
}
echo"<b>$mag[name]</b><br/>
Тип: $tip<br/>
Количество: $mag[kol]<br/>
";
}elseif($_GET[tip]==pit){
$req = mysql_query("SELECT * FROM `bazar` WHERE `id`='$_GET[id]' and `city` = '$udata[city]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;
}
switch($mag[rasa]){
case 'not':
$rasa='Все';
break;
case 'wolf':
$rasa='Волк';
break;
case 'dog':
$rasa='Собака';
break;
}

echo"<b>$mag[name]</b><br/>
Тип: $tip<br/>
<b>Характеристика</b><br/>
Урон: $mag[umin]/$mag[umax]<br/>
Защита головы: $mag[pgolova]<br/>
Защита тела: $mag[pbody]<br/>
Защита ног: $mag[pnogi]<br/>
<b>Бонусы:</b><br/>
Жизнь: $mag[hp]<br/>
Мана: $mag[mp]<br/>

Сила: $mag[sila]<br/>
Ловкость: $mag[lovk]<br/>
Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
Анти-крит: $mag[antikrit]%<br/>
<b>Требования:</b><br/>
Раса: $rasa<br/>
Уровень: $mag[nlvl]<br/>
";

}else{
$req = mysql_query("SELECT * FROM `bazar` WHERE `id`='$_GET[id]' and `city` = '$udata[city]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;
case 'shit':
$tip='Щит';
break;
case 'poyas':
$tip='Пояс';
break;
case 'plash':
$tip='Плащ';
break;
case 'ruki':
$tip='Рукавицы';
break;
case 'kolco':
$tip='Кольцо';
break;
case 'amulet':
$tip='Амулет';
break;
}
echo"<b>$mag[name]</b><br/>
Тип: $tip<br/>
<b>Характеристика</b><br/>
Урон: $mag[umin]/$mag[umax]<br/>
Защита головы: $mag[pgolova]<br/>
Защита тела: $mag[pbody]<br/>
Защита ног: $mag[pnogi]<br/>
<b>Бонусы:</b><br/>
Жизнь: $mag[hp]<br/>
Мана: $mag[mp]<br/>

Сила: $mag[sila]<br/>
Ловкость: $mag[lovk]<br/>
Интелект: $mag[um]<br/>
Физ. защита: $mag[prot]<br/>

Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
Анти-крит: $mag[antikrit]%<br/>
<b>Требования:</b><br/>
Класс: $klas<br/>
Сила: $mag[nsila]<br/>
Ловкость: $mag[nlovk]<br/>
Интелект: $mag[num]<br/>
Уровень: $mag[nlvl]<br/>
";
}
echo"<a href=\"bazar.php?\">Назад</a>";
break;
case 'pit':
$b = mysql_query("SELECT * FROM bazar WHERE baz_tip = 'pit' and `city` = '$udata[city]' ORDER BY id DESC");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 продаёт <a href=\"bazar.php?mod=info&amp;tip=pit&amp;id=$best[id]\">$best[name]</a> ($best[mycena] монет)
  [<a href=\"bazar.php?mod=by&amp;tip=pit&amp;id=$best[id]\">купить</a>]<br/>";
$i++;
}
}else{
echo"Нет вещей на продаже<br/>";
}
echo"<a href=\"bazar.php?\">Назад</a>";
break;
case 'item':
$b = mysql_query("SELECT * FROM bazar WHERE baz_tip = 'item' and `city` = '$udata[city]' ORDER BY id DESC");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 продаёт <a href=\"bazar.php?mod=info&amp;tip=item&amp;id=$best[id]\">$best[name]</a> ($best[mycena] монет)
  [<a href=\"bazar.php?mod=by&amp;tip=item&amp;id=$best[id]\">купить</a>]<br/>";
$i++;
}
}else{
echo"Нет вещей на продаже<br/>";
}
echo"<a href=\"bazar.php?\">Назад</a>";
break;
case 'res';
$b = mysql_query("SELECT * FROM bazar WHERE baz_tip = 'res' and `city` = '$udata[city]' ORDER BY id DESC");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 продаёт <a href=\"bazar.php?mod=info&amp;tip=res&amp;id=$best[id]\">$best[name]</a> ($best[kol] штук - $best[mycena] монет)
  [<a href=\"bazar.php?mod=by&amp;tip=res&amp;id=$best[id]\">купить</a>]<br/>";
$i++;
}
}else{
echo"Нет ресурсов продаже<br/>";
}
echo"<a href=\"bazar.php?\">Назад</a>";
break;
case 'shop':
$_GET[usr] = htmlspecialchars(stripslashes(addslashes($_GET[usr])));
$b2 = mysql_query("SELECT usr FROM bazar WHERE usr = '$_GET[usr]' and city = '$udata[city]' LIMIT 1");
////////////////////////////
$avto2=mysql_num_rows($b2);
if($avto2==0){
echo'Нет такой торговой лавки!';
include($path.'files/down.php');
exit;
}
echo'<div class="event">';
echo"<b>Вещи:</b><br/>";
$b = mysql_query("SELECT * FROM bazar WHERE baz_tip = 'item' and city = '$udata[city]' and usr = '$_GET[usr]' ORDER BY id DESC");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 продаёт <a href=\"bazar.php?mod=info&amp;tip=item&amp;id=$best[id]\">$best[name]</a> ($best[mycena] монет)
  [<a href=\"bazar.php?mod=by&amp;tip=item&amp;id=$best[id]\">купить</a>]<br/>";
$i++;
}
}else{
echo"Нет вещей на продаже<br/>";
}

echo"<b>Ресурсы:</b><br/>";
$b = mysql_query("SELECT * FROM bazar WHERE baz_tip = 'res' and city = '$udata[city]' and usr = '$_GET[usr]'");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 продаёт <a href=\"bazar.php?mod=info&amp;tip=res&amp;id=$best[id]\">$best[name]</a> ($best[kol] штук - $best[mycena] монет)
  [<a href=\"bazar.php?mod=by&amp;tip=res&amp;id=$best[id]\">купить</a>]<br/>";
$i++;
}
}else{
echo"Нет ресурсов продаже<br/>";
}
echo"<b>Вещи для питомцев:</b><br/>";
$b = mysql_query("SELECT * FROM bazar WHERE baz_tip = 'pit' and city = '$udata[city]' and usr = '$_GET[usr]'");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto>=1){
$i=1;
While($best = mysql_fetch_array($b))
{
echo"$i. <a href=\"search.php?nick=$best[usr]&amp;go=go\">$best[usr]</a>
 продаёт <a href=\"bazar.php?mod=info&amp;tip=pit&amp;id=$best[id]\">$best[name]</a> ($best[mycena] монет)
  [<a href=\"bazar.php?mod=by&amp;tip=pit&amp;id=$best[id]\">купить</a>]<br/>";
$i++;
}
}else{
echo"Нет ресурсов продаже<br/>";
}

echo'</div>';
echo"<a href=\"bazar.php?\">Назад</a>";
break;
}
include($path.'files/down.php');
?>